Работа с RubyGems в Mac OS X

Вот тут сидел в своей Mac OS X и захотел установить рубёвый sass (во всяком случае - это dependency одного моего проекта, а так - предпочитаю ) и дошло что у меня не было установлено bundler. Запишу для коллег.

1234
# Особенно важно в Mac OS X работать с sudo # Иначе - батхёртsudo gem update --systemsudo gem install bundler

Всё идентично для всяких там ваших Linux'ов!

Есть ещё парочка вещей, которые будут весьма полезны при работе с gem'ами:

123456789101112131415161718192021222324252627
# Выводим список локально установленных пакетов$ gem list *** LOCAL GEMS *** bigdecimal (1.2.0)bourbon (3.1.8)bundler (1.6.2)CFPropertyList (2.2.0)io-console (0.4.2)json (1.7.7)libxml-ruby (2.6.0)minitest (4.3.2)neat (1.5.0)nokogiri (1.5.6)psych (2.0.0)rake (0.9.6)rdoc (4.0.0)rubygems-update (2.2.2)sass (3.2.14)sqlite3 (1.3.7)test-unit (2.0.0.0)thor (0.18.1) # Посмотрим версию $ gem -v2.2.2

Кстати, для информации, gem - это  пакетный менеджер для Ruby. Это та штука, которая вдохновила создалетей composer.

Добавить комментарий

Содержание этого поля является приватным и не предназначено для показа.

Plain text

  • Разрешённые HTML-теги: <a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>
  • Адреса страниц и электронной почты автоматически преобразуются в ссылки.
  • Строки и параграфы переносятся автоматически.